## ros-noetic-rosbash 1.15.8

=== debian/changelog ===
ros-noetic-rosbash (1.15.8-1focal) focal; urgency=high

  * Fix variable name (from $arg to $argv) in rosfish (#279 <https://github.com/ros/ros/issues/279>)
  * Update maintainers (#272 <https://github.com/ros/ros/issues/272>)
  * Contributors: Jacob Perron, Yuma Hiramatsu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-noetic-rosbash (1.15.7-1focal) focal; urgency=high

  * add trailing := to roslaunch args:=value completion (#259 <https://github.com/ros/ros/issues/259>)
  * add quoting to prevent unwanted globbing and word splitting in rosbash (#269 <https://github.com/ros/ros/issues/269>)
  * fix ros_location_find with Python 3 (#270 <https://github.com/ros/ros/issues/270>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-noetic-rosbash (1.15.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Jul 2020 07:00:00 -0000

ros-noetic-rosbash (1.15.5-1focal) focal; urgency=high

  * fix for sourcing rosfish (#262 <https://github.com/ros/ros/issues/262>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Jul 2020 07:00:00 -0000

ros-noetic-rosbash (1.15.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-noetic-rosbash (1.15.3-1focal) focal; urgency=high

  * update rosmv function to move file and package both (#254 <https://github.com/ros/ros/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-rosbash (1.15.2-1focal) focal; urgency=high

  * add rosmv shell function to move a file from package to target (#247 <https://github.com/ros/ros/issues/247>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Apr 2020 07:00:00 -0000

ros-noetic-rosbash (1.15.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Mar 2020 07:00:00 -0000

ros-noetic-rosbash (1.15.0-1focal) focal; urgency=high

  * add heuristic to run python devel space relays (#233 <https://github.com/ros/ros/issues/233>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-noetic-rosbash (1.14.8-1focal) focal; urgency=high

  * update style to pass flake8 (#240 <https://github.com/ros/ros/issues/240>)
  * Replace $1 and $2 with $pkg_name and $file_name (#239 <https://github.com/ros/ros/issues/239>)
  * add roscp. (#237 <https://github.com/ros/ros/issues/237>)
  * Bump CMake version to avoid CMP0048 warning (#234 <https://github.com/ros/ros/issues/234>)
  * fix find -perm /mode usage for FreeBSD (#232 <https://github.com/ros/ros/issues/232>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-noetic-rosbash (1.14.7-1focal) focal; urgency=high

  * zsh launch args completion (#217 <https://github.com/ros/ros/issues/217>)
  * use _rosrun_ prefix for temporary variable (#228 <https://github.com/ros/ros/issues/228>)
  * restore IFS after changing it in rosbash and rosrun (#227 <https://github.com/ros/ros/issues/227>)
  * [revent filename glob expansion in _msg_opts in rosbash (#218 <https://github.com/ros/ros/issues/218>)
  * correct name of the findpath script (#27 <https://github.com/ros/ros/issues/27>) (#213 <https://github.com/ros/ros/issues/213>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-noetic-rosbash (1.14.6-1focal) focal; urgency=high

  * add roscd, rosls support for Windows (#210 <https://github.com/ros/ros/issues/210>)
  * exclude files when completing roslaunch args (#211 <https://github.com/ros/ros/issues/211>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Mar 2019 07:00:00 -0000

ros-noetic-rosbash (1.14.5-1focal) focal; urgency=high

  * add rosrun.bat (#208 <https://github.com/ros/ros/issues/208>)
  * add verbose output to rosrun if catkin_find fails (#182 <https://github.com/ros/ros/issues/182>)
  * add missing rospack dependency (#189 <https://github.com/ros/ros/issues/189>)
  * fix rosfish (#172 <https://github.com/ros/ros/issues/172>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-noetic-rosbash (1.14.4-1focal) focal; urgency=high

  * rosrun: array is now properly expanded in debug-echo (#176 <https://github.com/ros/ros/issues/176>)
  * rosbash: replaced ... with $(...) (#177 <https://github.com/ros/ros/issues/177>)
  * rosrun: replaced ... with $(...) (#175 <https://github.com/ros/ros/issues/175>)
  * rosfish: fix syntax error (#171 <https://github.com/ros/ros/issues/171>)
  * fix zsh tab completion for symlinks (#169 <https://github.com/ros/ros/issues/169>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-noetic-rosbash (1.14.3-1focal) focal; urgency=high

  * do not remove paths containing ./ or ../ from completion (#162 <https://github.com/ros/ros/issues/162>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Jan 2018 08:00:00 -0000

ros-noetic-rosbash (1.14.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Oct 2017 07:00:00 -0000

ros-noetic-rosbash (1.14.1-1focal) focal; urgency=high

  * add options in completion for roslaunch to roszsh (#147 <https://github.com/ros/ros/issues/147>)
  * allow arguments in EDITOR env in zsh rosed (#144 <https://github.com/ros/ros/pull/144>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-rosbash (1.14.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-noetic-rosbash (1.13.6-1focal) focal; urgency=high

  * add options in completion for roslaunch to roszsh (#147 <https://github.com/ros/ros/issues/147>)
  * allow arguments in EDITOR env in zsh rosed (#144 <https://github.com/ros/ros/pull/144>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 31 Oct 2017 07:00:00 -0000

ros-noetic-rosbash (1.13.5-1focal) focal; urgency=high

  * add completion for "rosmsg info" (#138 <https://github.com/ros/ros/pull/138>)

